////////////////////////////////////////////////////////////////////////////////
//  Project: Pong Game Clone
//  Author: Vladeta Stojanovic (vladeta_stojanovic@yahoo.co.uk)
//  File: defs.cpp
//  Description: This file contains the popinters to the externed memory address registers
//  for the video buffer, sprite data and control pad input.
//  Version: v0.1
//
//  Date (last revision): March 16, 2009
//  Date (creation): March 30, 2009
//
//
//  Revision history notes:
//  ---Date---|---Revision---|---Revisor---|
//
//  Credits:  Portions of this code were based on the examples form the book
//            "Programming The Nintendo Game Boy Advance: The Unofficial Guide"
//            by Jonathan S. Harbour (http://www.jharbour.com).
//            Paddle collision detection code based on the Pong game code
//            by Aaron Cox (http://www.aaroncox.net).
//            Additional code and examples are derived from the code presented
//            in TONC v1.4 by J Vijn (http://www.coranac.com/projects/#tonc).
//
//  License: You are allowed to use the code in this file for presonal,
//           scholarship and/or non-commercial purpuses. This program code
//           comes with NO WARRANTY.
//
///////////////////////////////////////////////////////////////////////////////

#include "defs.hpp"

//create a pointer to the control input register
vu16 *BUTTONS = (vu16*)0x04000130;
u16 *video_buffer = (u16*)0x06000000;
u16 *SpriteData3 = SpriteData + 8192;
